Download it now!
Bug 137960 - EDITING DOCX Shift + Left/Right arrow movement of shape makes its textframe fall out
Summary: EDITING DOCX Shift + Left/Right arrow movement of shape makes its textframe f...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Dániel Arató (NISZ)
URL:
Whiteboard: target:7.1.0
Keywords: bibisectRequest, filter:docx, regression
Depends on:
Blocks: 122866
  Show dependency treegraph
 
Reported: 2020-11-03 14:33 UTC by NISZ LibreOffice Team
Modified: 2020-12-30 10:37 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
attachment #163631 after pressing Shift+Left thrice (58.63 KB, image/png)
2020-11-03 14:33 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-11-03 14:33:38 UTC
Created attachment 166971 [details]
attachment #163631 [details] after pressing Shift+Left thrice

This is a followup to bug #135198
If the attachment #163631 [details] is opened in current Writer the shape with textframe can be moved around with the arrow keys just fine. 
However this provides a small movement, if the Shift key is also pressed and Left/Right arrow keys are used the textframe moves left and right, but the shape stays at the same place.

The fix to bug #135198 included disabling the Shift + Up/Down arrow keys moving the shapes textframe. This is specific to DOCX files, ODT is not affected.

It would be a better solution to make these work again, and to make Shift + 4 arrows to move the shape with the textframe, similar to how it works with only the 4 arrow keys.

Steps to reproduce:
    1. Open  attachment #163631 [details]
    2. Select the large shape
    3. Press Shift + Up/Down arrows. This has no effect.
    4. Press Shift + Left/Right arrows.

Actual results:
Shape moves in the document, but its textframe does not stay inside the shape.

Expected results:
Shape moves together with its textframe when Shift + 4 arrows are pressed.

LibreOffice details:
Version: 7.1.0.0.alpha1+ (x64)
Build ID: bd8edf5d2ac579e51bfbf5fa6061909a67a309c7
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
Comment 1 Commit Notification 2020-11-12 15:21:16 UTC
Daniel Arato (NISZ) committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/768cfcee178b284be6d96d384364e59e40ecb375

tdf#137960 tdf#137964 sw: fix Shift-ArrowKey text box movement

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 NISZ LibreOffice Team 2020-12-30 10:37:27 UTC
Verified in:

Version: 7.2.0.0.alpha0+ (x64)
Build ID: 368c56144aab5794c39d5bc2082d9b3d6d7cebdb
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded

Thanks for fixing!